petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPHPDDMGetType

Gets the type of Krylov method used in KSPHPDDM.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPHPDDMGetType(KSP ksp, KSPHPDDMType *type)

### Input Parameter

| ksp | - iterative context

### Output Parameter

| type | - any of gmres, bgmres, cg, bcg, gcrodr, bgcrodr, bfbcg, or preonly

### See Also

KSPCreate(), KSPType (for list of available types), KSPHPDDMType, KSPHPDDMSetType()

### Level

intermediate

### Location

src/ksp/ksp/impls/hpddm/hpddm.cxx

### Examples

src/ksp/ksp/tutorials/ex76.c.html
src/ksp/ksp/tutorials/ex78.c.html

### Implementations

KSPHPDDMGetType_HPDDM in src/ksp/ksp/impls/hpddm/hpddm.cxx
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages